calcGeneratingVectors <-
function(S=NULL, linrows=NULL, matrixOnly=FALSE){
	
	# make a H representation of the flux cone.
	# see makeH in rcdd for more information
	if(is.null(linrows)){
		myH <- makeH(S, 0)
	}
	else{
		if(length(linrows)==dim(S)[1]) myH <- makeH(a2=S, b2=0) #alle ==0
			else myH <- makeH(S[-(linrows), ] , 0, S[linrows, ], 0, x=NULL)
	}
	
	message("starting calculation with cddlib")
	# finally run the calculation with cddlib/rcdd
	out <- scdd(myH)
	message("finished calculation with cddlib")
	
	#return the desired output
	if(matrixOnly) return(out$output[,-(1:2)])
	else return(list(out, myH=myH))
}

