fcf <-
function(model=NULL, gvectors=NULL, setObjectiveReactionToZero=TRUE, zerosSet=FALSE){
	
	
	if(class(model)!="modelorg") stop("need modelorg Object")
	
	if(is.null(gvectors)){
		message("::: calulating Generating Vectors")
		gvectors <- calcGeneratingVectorsFromModelorg(model, setObjectiveReactionToZero)
		zerosSet <- FALSE #just for savety
	}
	
	if(!zerosSet){
		sgvectors <- createSparseMatrix(gvectors)
	}
	else sgvectors <- gvectors
	
	
	#print(gvectors)
	
	message("::: identifying reactiontypes")
	
	react <- allReactiontypes(model=model, gvectors=sgvectors, exclude_blocked=TRUE, zerosSet=TRUE)
	
	# start to find coupling realtions
	
	#initialize sets
	a <- list() # i ~^\lambda j
	set_b <- list() # i ->^{=0} j
	#c <- list() # i <->^{=0} j
	
	b <- getLinspace(sgvectors)
	g <- getProperFaces(sgvectors)
	h <- getAllVectors(sgvectors) # h has no context to one of the papers
	
	#probposition 2
	message("::: probposition 2")
	
	progressbar <- txtProgressBar(min=0, max=length(react$prev), style=3)
	
	for(i in react$prev){
		for(j in react$prev){
			if(i < j){
				
				if(testLinearDependence( g[,j], g[,i]) ) a[[length(a)+1]] <- c(i, j) 
				
			}
		}
		setTxtProgressBar(progressbar, getTxtProgressBar(progressbar)+1)
	}
	
	close(progressbar)
	
	#probposition 3
	message("::: probposition 3")
	progressbar <- txtProgressBar(min=0, max=length(react$frev), style=3)
	for(i in react$frev){
		for(j in react$frev){
			if(i < j){
				
				if(testLinearDependence( h[,j], h[,i]) ) a[[length(a)+1]] <- c(i, j) 
			
			}
		}
		setTxtProgressBar(progressbar, getTxtProgressBar(progressbar)+1)
	}
	close(progressbar)
	
	#proposition 4
	message("::: probposition 4")
	
	# compare 'Irev' from paper
	irev <- integer()
	
	for(i in react$prev){
		if(	all(h[,i] >= 0) || all (h[,i] <= 0)) irev <- c(irev, i)
	}
	
	#print(irev)
	
	irev <- union(irev, react$irr)
	
	#(takes long time and much RAM)... no more
	message("   ...looking for zeros in vectors")
	#lv <- apply(X=g, MARGIN=c(1,2),
	#	FUN=function(x){
	#	return(x==0)
	#})
	
	#logic vectors
	lv <- g==0
	
	message("   ...done")
	
	
	#print(lv)
	
	#print(irev)
	#print(union(react$prev, irev))
	
	rownumbers <- (1 : dim(g)[1])
	add <- TRUE
	
	c <- matrix(0, nrow=length(irev)*(length(react$prev)+length(irev)), ncol=2)
	nextindex <- 1
	
	message("   ...doing work for probposition 4")
	
	
	previrev <- union(react$prev, irev)
	
	progressbar <- txtProgressBar(min=0, max=length(irev), style=3)
	for(i in irev){
		for(j in previrev){
			if(i != j){
				
				#too slow...
				#------------------------------------------------------
				add <- all((!lv[,i]) | lv[,j])
				#add <- TRUE
				#for(k in (lv[,i] & !lv[,j])){
				#	if(k){
				#		add<- FALSE
				#		break
				#	}
				#}
				
				#
				#if(all(apply(t, 1, any))) c[[length(c)+1]] <- c(i, j)
				#
				#rm(t)
				#------------------------------------------------------
				
				#faster...
				#add <- TRUE
				#for(k in rownumbers){
				#	#if( !( g[k, i]!=0 || g[k,j]==0) ){ #version 1
				#	#if( g[k, i]==0 && g[k,j]!=0 ){ #verision 2
				#	if( lv[k, i] && !lv[k,j] ){ #version 3
				#		add <- FALSE
				#		break
				#	}
				#}
				
				#if(add) c[[length(c)+1]] <- c(i, j)
				if(add) {
					c[nextindex,] <- c(i, j)
					nextindex <- nextindex + 1
				}
			}
		}
		setTxtProgressBar(progressbar, getTxtProgressBar(progressbar)+1)
	}
	close(progressbar)
	rm(rownumbers, previrev)
	message("   ...done")
	
	#corollary 1
	
	message("   ...datareordering")
	#if(length(c)==0) C <- NULL
	#	else C <- matrix(unlist(c), ncol=2, byrow=TRUE)
	#rm(c)
	
	
	if(nextindex==1) C <- NULL
		else C <- c[1:nextindex-1,]
	
	C <- C[order(C[,1]),]
	
	message("::: corollary 1")
	
	if(!is.null(C)){
		message("   ...checking C")
		r <- 1
		while(dim(C)[1]>0 && r <= dim(C)[1] ){
			#no elements left in C or index r runs out of dim
			
			ij <- C[r,]
			i <- ij[1] 
			j <- ij[2]
			
			
			if( ij[1] < ij[2]){ # i < j
				if(all( ij %in% irev) ){ # i,j e Irev
					
					erg <- intersect(which(C[,1]==j), which(C[,2]==i))
					
					#print(ij)
					#print(erg)
					
					if(length(erg)==1){ # (j,i) e C
						if(testLinearDependence( g[,j], g[,i]) ){
							#message("typ 1")
							a[[length(a)+1]] <- c(i, j)
						}
						else {
							#message("typ 2")
							set_b[[length(set_b)+1]] <- c(i, j)
						}
						#else it is typ 3 and stays in C
						
						C <- C[-c(r, erg), ,drop=FALSE] #remove (i,j), (j,i) from C
						
						r <- r - 1
						
					} else if(length(erg)>1){
								#this must not happen
								stop("HUSTEN we have a problem")
							}
					
					rm(erg)
					
				}
			}
			
			rm(ij, i, j)
			
			r <- r + 1
			
		}
	}
	
	message("   ...datareordering")
	if(length(a)==0) A <- NULL
		else A <- matrix(unlist(a), ncol=2, byrow=TRUE)
	rm(a)
	if(length(set_b)==0) B <- NULL
		else B <- matrix(unlist(set_b), ncol=2, byrow=TRUE)
	rm(set_b)
	
	message("::: finished")
	return(list(reactions=react, A=A, B=B, C=C))
}

