orderSymmetricReactionSets <-
function(A=NULL, sortSets=TRUE){

	if(is.null(A)){
		stop("A must not be NULL")
	}

	if(!is.matrix(A)){
		stop("A must be a matrix")
	}

	if(!dim(A)[2]==2){
		stop("A must have 2 cols")
	}
	
	reactSets <- list()
	reactSets[[1]] <- A[1,]
	
	#is <- unique(A[,1])
	
	
	for(i in seq(along=A[,1])[-1] ){
		pair <- A[i,]
		
		erg <-  which(unlist(lapply(reactSets, function(...) return(any(is.element(...))), el=pair)))
		#print(pair)
		#print(erg)
		
		if(length(erg)>1) stop("HOUSTEN WE HAVE A PROBLEM")
		
		
		if(length(erg)==1){
			reactSets[[erg]] <- union(reactSets[[erg]], pair)
		}
		
		if(length(erg)==0){
			reactSets[[length(reactSets)+1]] <- pair
		}
		
		rm(erg)
	}
	
	if(sortSets) return(lapply(reactSets, sort))
		else return(reactSets)
}

