pseudo_irrev_reactions <-
function(gvectors=NULL, irr=NULL, model=NULL, blocked=NULL, zerosSet=FALSE){
	
	if(is.null(gvectors)) stop("no vectors given")
	
	
	if(is.null(irrev) && is.null(model)) cat("WARNING: irreversible reactions have to be definied\n")
	if(!is.null(model)) if(class(model)!="modelorg") stop("need modelorg Object")
	
	irr <- irr_reactions(model)
	
	if(is.null(blocked)) blocked <- blocked_reactions(gvectors, zerosSet=zerosSet)
	
	
	#alle reactionen, die im linspace nur 0 haben (MMB paper)
	
	#moved to function getLinspace
	#linspace <- gvectors[which(gvectors[,1]==1),,drop=FALSE][,-(1:2),drop=FALSE]
	linspace <- getLinspace(gvectors)
	
	if( dim(linspace)[1]==0){
		return(integer())
	}
	
	if(zerosSet) zero <- equalsZero	
		else zero <- equalsNearlyZero
	
	
	#vergleiche Irev und Irr aus den bockmayr papern
	irev <- which(apply(
				
				apply(X=linspace, MARGIN=c(1,2),
				
					FUN=zero
				
				), 2, all))
	
	prev <- setdiff(irev, irr)
	
	return(setdiff(prev, blocked))
}

