\name{addNamesToReactionSets}
\alias{addNamesToReactionSets}
\title{
translates numbers in a reactionset in human readable names from a modelorg object
}
\description{
This function gets a \code{list} with reactionsets as input. Reactions are represented by their columnumber in the \code{S} matrix. You can either translate them in the names given by \code{react_id} or \code{react_name}.
}
\usage{
addNamesToReactionSets(model = NULL, reactSets = NULL, useIDs = TRUE)
}
\arguments{
  \item{model}{
		a \code{modelorg} object suiting to the reactionsets
}
  \item{reactSets}{
		a \code{list} containing the reactionsets as integer vectors. probably generated by \code{orderDirectedReactionSets} or \code{orderSymmetricReactionSets}.
}
  \item{useIDs}{
		if \code{TRUE}:  take \code{react_id}\cr
		if \code{FALSE}: take \code{react_name}
}
}
\value{
	a \code{list} with the same sizes like \code{reactSets}, but strings instead of integers
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}

\seealso{
	\code{\link{orderDirectedReactionSets}}\cr
	\code{\link{orderSymmetricReactionSets}}
}
\examples{
	data("Ec_core")
	res <- fcf(Ec_core,setObjectiveReactionToZero=TRUE)
	addNamesToReactionSets(Ec_core, orderSymmetricReactionSets(res$A))
}
