\name{allReactiontypesWithCalc}
\alias{allReactiontypesWithCalc}
\title{
identify all reactiontypes
}
\description{
calculates generating vectors, blocked, irreversible, fullreversible and pseudoreversible reations in one step. generating vectors are calculated on its own.
}
\usage{
allReactiontypesWithCalc(model = NULL, returnvectors = FALSE)
}
\arguments{
  \item{model}{
		a valid \code{modelorg} object
}
  \item{returnvectors}{
		should the generating vectors be returned, too? (helpful for later use)
}
}
\value{
	\item{sgvectors}{generating vectors as sparse matrix. Only returned if \code{returnvectors} is TRUE}
	\item{blocked}{blocked reactions}
	\item{irr}{irreversible reactions}
	\item{prev}{pseudoreversible reactions}
	\item{frev}{full reversible reactions}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}

\seealso{
	\code{\link{blocked_reactions}}\cr
	\code{\link{irr_reactions}}\cr
	\code{\link{pseudo_irrev_reactions}}\cr
	\code{\link{frev_reactions}}\cr
	\code{\link{createSparseMatrix}}\cr
	
	same, but without calculation of generating vectors:
	\code{\link{allReactiontypes}}\cr
	
	functions used to calculate the generating vectors:\cr
	\code{\link{calcGeneratingVectorsFromModelorg}}\cr
	\code{\link{createSparseMatrix}}\cr
}
\examples{
	data("Ec_core")
	allReactiontypesWithCalc(Ec_core, TRUE)
}
