\name{blocked_reactions}
\alias{blocked_reactions}
\title{
identify blocked reactions
}
\description{
this functions identifys blocked reactions in a metabolic network depending on a set of generating vectors of the flux cone. for every generating vector h holds: h_i = 0 with reaction i is blocked.
}
\usage{
blocked_reactions(gvectors = NULL, zerosSet = FALSE)
}
\arguments{
  \item{gvectors}{
	a set of generating vectors. either as sparse matrix or normal matrix
}
  \item{zerosSet}{
		are nearly zero values set as 0? if gvectors is created by \code{createSparseMatrix} this should be set as \code{TRUE}
}
}
\value{
	\item{blocked}{an integer vector with all blocked reactions}
}
\references{
	see \code{\link{sybilFCF}}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}

\seealso{
	\code{\link{createSparseMatrix}}\cr
	
	functions used to calculate the generating vectors:\cr
	\code{\link{calcGeneratingVectorsFromModelorg}}\cr
	\code{\link{createSparseMatrix}}\cr
}
\examples{
	data("Ec_core")
	blocked_reactions(calcGeneratingVectorsFromModelorg(Ec_core), FALSE)
}
