\name{fcf}
\alias{fcf}
\title{
flux coupling finder
}
\description{
runs the main flux coupling finding procedure, returns reactiontypes and all coupled reaction pairs and their couplingtype.
}
\usage{
fcf(model = NULL, gvectors = NULL,
		setObjectiveReactionToZero = TRUE,
							zerosSet = FALSE)
}
\arguments{
  \item{model}{
	a \code{modelorg} model
}
  \item{gvectors}{
	a set of generating vectors. if this is not given it will be computed.
}
  \item{setObjectiveReactionToZero}{
	should before computing the generating vectors the objective reaction set to zero?
}
\item{zerosSet}{
		are nearly zero values set as 0? if \code{gvectors} is created by \code{createSparseMatrix} this should be set as \code{TRUE}. if \code{gvectors} is not given, this argument is omitted.
}
}
\details{
	if your model contains an objective reaction you really should let this function set it to zero. otherwise you will get not the desired results. see \code{\link{calcGeneratingVectorsFromModelorg}} for details about how the objective reaction is identified.
}
\value{
	\item{reactions}{reactiontypes of the model. compare with \code{allReactiontypes}}
	\item{A}{reaction pairs (i, j) of coupling type 1}
	\item{B}{reaction pairs (i, j) of coupling type 2}
	\item{C}{reaction pairs (i, j) of coupling type 3}
	
	sets A, B and C will be returned as matrix with 2 colums and many rows.
}
\note{
	this function needs 'Matrix' loaded, if you want to work with a real sparse matrix (created with \code{createSparseMatrix()} and \code{realSparse=TRUE}.
}

\references{
	see \code{\link{sybilFCF}}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
consider that depending on your model size it could take much time to run this function.
}

\seealso{
	\code{\link{calcGeneratingVectorsFromModelorg}}\cr
	\code{\link{allReactiontypes}}\cr
}
\examples{
	data(Ec_core)
	fcf(Ec_core, setObjectiveReactionToZero=TRUE)
}
\keyword{ flux }
\keyword{ coupling }
\keyword{ finder }
