\name{frev_reactions}
\alias{frev_reactions}
\title{
	full reversible reactions
}
\description{
	all reactions which are reversible and not pseudoreversible are full reversible. in order to get the list you will first have to calc the set of pseudoreversible reactions.
}
\usage{
frev_reactions(model = NULL, pref = NULL)
}
\arguments{
  \item{model}{
	a valid \code{modelorg} object
}
  \item{pref}{
  	the set of pseudoirreversible reactions in this model
}
}
\details{
}
\value{
	a vector containing the indices of the full reversible reactions.
}
\references{
	see \code{\link{sybilFCF}}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
	consider to use \code{allReactiontypes} or \code{allReactiontypesWithCalc} to avoid duplicate calculations.
}

\seealso{
	\code{\link{allReactiontypes}}\cr
	\code{\link{allReactiontypesWithCalc}}\cr
	\code{\link{pseudo_irrev_reactions}}\cr
	\code{\link{blocked_reactions}}\cr
	\code{\link{irr_reactions}}\cr
}
\keyword{ frev }
\keyword{ full }
\keyword{ reversible }
