\name{getLinspace}
\alias{getLinspace}
\title{
returns the linearity space of a set of generating 
}
\description{
	given a matrix of generating vectors defining a cone C, calculated by rcdd, this function will return only the linspace (e.g. the lines with a 1 in the fist colum). the first 2 colums will not be returned. if linspace(C) is empty, a zero-vector will be returned.
}
\usage{
getLinspace(gvectors = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{gvectors}{
  	a set of generating vectors in the form cbind(c, b, A), with c indicating the vectortype.
}
}
\details{
}
\value{
	linspace(C) with C defined by gvectors
}
\references{
	see \code{\link{sybilFCF}}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}

\seealso{
	\code{\link{calcGeneratingVectors}}\cr
	\code{\link{getProperFaces}}\cr
	\code{\link{getAllVectors}}\cr
	\code{\link{scdd}}\cr
}
\examples{
	data("Ec_core")
	gv <- calcGeneratingVectorsFromModelorg(Ec_core)
	
	getLinspace(gv)
	
	#note: Ec_core does not have a reversible metabolic space.
	#		therefor u only get a zero vector

}
\keyword{ linspace }
