\name{getProperFaces}
\alias{getProperFaces}
\title{
returns only the generating vectors, which define a proper face of the cone C
}
\description{
	this function simply returns the rows of a matrix with the first colum containing \code{0} and crops the first 2 colums.
}
\usage{
getProperFaces(gvectors = NULL)
}
\arguments{
  \item{gvectors}{
  	a set of generating vectors in the form cbind(c, b, A), with c indicating the vectortype.
}
}
\details{
	
}
\value{
	proper Faces of C with C defined by gvectors
}
\references{
	see \code{\link{sybilFCF}}
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\seealso{
	\code{\link{calcGeneratingVectors}}\cr
	\code{\link{getLinspace}}\cr
	\code{\link{getAllVectors}}\cr
	\code{\link{scdd}}\cr
}
\examples{
	data("Ec_core")
	gv <- calcGeneratingVectorsFromModelorg(Ec_core)
	
	getProperFaces(gv)

}
\keyword{ proper }
\keyword{ faces }
