\name{orderDirectedReactionSets}
\alias{orderDirectedReactionSets}
\title{
	Summarize directed reactionsets
}
\description{
	with this function u can summarize pairs (i, j), which have a directed (non symetric) relation, e.g. i~j holds, but j~i does not.
}
\usage{
orderDirectedReactionSets(C = NULL)
}
\arguments{
  \item{C}{
  	a matrix with 2 colums, each line represents one (i, j) pair.
}
}
\details{
}
\value{
	a \code{list} containing the reationsets. always the first item in each vector is in relation to the other items in his vector
}
\references{
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
}

\seealso{
	\code{\link{orderSymmetricReactionSets}}\cr
}
\examples{
	M <- matrix(c(1, 2, 1, 3, 1, 4, 2, 4, 4, 5), ncol=2, byrow=TRUE)
	
#		> M
#		     [,1] [,2]
#		[1,]    1    2
#		[2,]    1    3
#		[3,]    1    4
#		[4,]    2    4
#		[5,]    4    5
# note: 2~5 is FALSE!
	
	orderDirectedReactionSets(M)

#result:
#[[1]]
#[1] 1 2 3 4
#
#[[2]]
#[1] 2 4
#
#[[3]]
#[1] 4 5

}
\keyword{ reactionsets }
